//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Exemplo animação simples.

#include <LiquidCrystal.h>

int rs = 12; //Pino Register select
int e = 11;  //Pino Enable
int d4 = 5;  //Pino de dados d4
int d5 = 4;  //Pino de dados d5
int d6 = 3;  //Pino de dados d6 
int d7 = 2;  //Pino de dados d7

LiquidCrystal lcd(rs, e, d4, d5, d6, d7);

byte sorriso[8] = 
{
  B00000,
  B10001,
  B00000,
  B00000,
  B10001,
  B01110,
  B00000
};

byte triste[8] = 
{
  B00000,
  B10001,
  B00000,
  B00000,
  B00000,
  B01110,
  B10001
};

void setup() 
{
  lcd.begin(16, 2); //LCD de 16 colunas e 2 linhas.

  //Cria o caractere e associa um endereço a ele.
  lcd.createChar(0, sorriso);
  lcd.createChar(1, triste);

  lcd.setCursor(0, 0);
  lcd.print("Exemplo animacao");
}

void loop() 
{
  lcd.setCursor(5, 1);
  lcd.write((byte)0); //Exibe o sorriso, necessário fazer o cast com o endereço '0'.
  delay(1000);

  lcd.setCursor(5, 1);
  lcd.write(1); //Exibe o triste
  delay(1000);
}

